variable "subnet_id" {
  type = string
}

variable "security_group_ids" {
  type = list
}

variable "tags" {
  description = "Tags to add to the resource (in addition to global standard tags)"
  type        = map
  default     = { }
}

variable "test_instance_ami" { 
  type = string
  default = "minion"
}

variable "test_instance_type" { 
  type = string
  default = "t3a.micro"
}

variable "test_instance_key_name" { 
  type = string
  default = "msoc-build"
}

variable "create_test_instance" { type = bool }

variable "dns_info" { type = map }
variable "standard_tags" { type = map }
variable "environment" { type = string }
variable "aws_region" { type = string }
variable "aws_partition" { type = string }
variable "aws_partition_alias" { type = string }
variable "common_services_account" { type = string }
